<?xml version="1.0" encoding="Windows-1251"?>
<!-- File: hi_xslt_ru.xsl -->
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns="http://www.w3.org/TR/xhtml1">

	<!-- for version 2.6 only: 
           - remove attribute method 
           - or change value from "html" to "xml" for it -->
	<xsl:output method="html" media-type="text/html" version="1.0" 
		indent="yes" encoding="Windows-1251"
		doctype-public="-//W3C//DTD HTML 4.0 Transitional//EN" />

	<xsl:template match="/">
		<xsl:apply-templates />
	</xsl:template>

	<xsl:template match="root">
		<xsl:element name="HTML">
			<xsl:apply-templates />
		</xsl:element>
	</xsl:template>
	<xsl:template match="head">
		<xsl:element name="HEAD">
			<xsl:apply-templates />
		</xsl:element>
	</xsl:template>
	<xsl:template match="meta">
		<xsl:apply-templates />
	</xsl:template>
	<xsl:template match="body">
		<xsl:element name="BODY">
			<xsl:attribute name="bgcolor">
				<xsl:value-of select="bgcolor" />
			</xsl:attribute>
			<xsl:apply-templates />
		</xsl:element>
	</xsl:template>
	<xsl:template match="bgcolor" />
	<xsl:template match="title">
		<xsl:element name="TITLE">
			<xsl:value-of select="." />
		</xsl:element>
	</xsl:template>
	<xsl:template match="subject">
		<xsl:element name="H4">
			<xsl:attribute name="ALIGN">
				<xsl:text>center</xsl:text>
			</xsl:attribute>
			<xsl:value-of select="." />
		</xsl:element>
	</xsl:template>
	<xsl:template match="message">
		<xsl:element name="P">
			<xsl:value-of select="." />
		</xsl:element>
	</xsl:template>
	<xsl:template match="codepage">
		<xsl:element name="META">
			<xsl:attribute name="HTTP-EQUIV">
				<xsl:text>Content-Type</xsl:text>
			</xsl:attribute>
			<xsl:attribute name="CONTENT">
				<xsl:value-of select="concat('text/html; charset=',text())" />
			</xsl:attribute>
		</xsl:element>
	</xsl:template>
	<xsl:template match="keywords">
		<xsl:element name="META">
			<xsl:attribute name="HTTP-EQUIV">
				<xsl:text>Keywords</xsl:text>
			</xsl:attribute>
			<xsl:attribute name="CONTENT">
				<xsl:value-of select="." />
			</xsl:attribute>
		</xsl:element>
	</xsl:template>
	<xsl:template match="sender">
		<xsl:element name="TABLE">
			<xsl:attribute name="border">
				<xsl:text>0</xsl:text>
			</xsl:attribute>
			<xsl:attribute name="width">
				<xsl:text>50%</xsl:text>
			</xsl:attribute>
			<xsl:attribute name="align">
				<xsl:text>right</xsl:text>
			</xsl:attribute>
			<xsl:apply-templates />
		</xsl:element>
	</xsl:template>
	<xsl:template match="*">
		<xsl:variable name="curElement" select="local-name(.)" />
		<xsl:choose>
			<xsl:when test="$curElement='author' or $curElement='description'">
				<xsl:element name="META">
					<xsl:attribute name="NAME">
						<xsl:value-of select="$curElement" />
					</xsl:attribute>
					<xsl:attribute name="CONTENT">
						<xsl:value-of select="." />
					</xsl:attribute>
				</xsl:element>
			</xsl:when>
			<xsl:when test="$curElement='name' or $curElement='url' or $curElement='mail'">
				<xsl:element name="TR">
					<xsl:element name="TD">
						<xsl:attribute name="width">
							<xsl:text>43%</xsl:text>
						</xsl:attribute>
						<xsl:attribute name="align">
							<xsl:text>right</xsl:text>
						</xsl:attribute>
						<xsl:element name="I">
							<xsl:value-of select="@caption" />
						</xsl:element>
						<xsl:text>: </xsl:text>
					</xsl:element>
					<xsl:element name="TD">
						<xsl:attribute name="width">
							<xsl:text>60%</xsl:text>
						</xsl:attribute>
						<xsl:element name="P">
							<xsl:attribute name="style">
								<xsl:text>margin-left: 3</xsl:text>
							</xsl:attribute>
							<xsl:choose>
								<xsl:when test="contains(text(), 'http:') or contains(text(), 'mailto:')">
									<xsl:element name="A">
										<xsl:attribute name="href">
											<xsl:value-of select="." />
										</xsl:attribute>
										<xsl:value-of select="." />
									</xsl:element>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="." />
								</xsl:otherwise>
							</xsl:choose>
						</xsl:element>
					</xsl:element>
				</xsl:element>			
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates />
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>